<?php
$current_addon_data = auto_google_news_get_addon_data('google_news');
?>
<div class="google_news-box" role="document">

    <div class="google_news-box-header google_news-block-content-center">

        <div class="google_news-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_GOOGLE_NEWS_URL.'/assets/images/google_news-sketched.png'); ?>" alt="<?php esc_attr_e( 'Google_News SessionID', Auto_Google_News::DOMAIN ); ?>">

        </div>

        <div class="google_news-box-content integration-header">

            <h3 class="google_news-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Google_News SessionID', Auto_Google_News::DOMAIN ); ?></h3>

			<span class="google_news-description">
                <?php esc_html_e( 'Setup Google_News SessionID to be used by Auto Google News to display feeds on your blog.', Auto_Google_News::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="google_news-box-body">
        <form class="google_news-integration-form" method="post" name="google_news-integration-form" action="">

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Session ID', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-key" name="key"></ion-icon>
                    <input name="session_id" placeholder="<?php esc_html_e( 'Session ID', Auto_Google_News::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['session_id'])){echo $current_addon_data['session_id'];}?>" class="google_news-form-control">
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('google_news');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >

            <div class="google_news-border-frame google_news-description">

                <span>
                    <?php
                    printf(
                        esc_html__( 'Follow %1$s your Google_News SessionID.', Auto_Google_News::DOMAIN ),
                        '<a href="https://wpautorobot.com/document/">these instructions to retrieve</a>'
                    );
                    ?>
                </span>

            </div>

        </form>

    </div>

    <div class="google_news-box-footer google_news-box-footer-center">
        <button type="button" class="google_news-button google_news-addon-connect">
            <span class="google_news-loading-text"><?php esc_html_e( 'Connect', Auto_Google_News::DOMAIN ); ?></span>
        </button>
    </div>

</div>