<div class="google_news-box-settings-row">

    <div class="google_news-box-settings-col-1">
        <span class="google_news-settings-label"><?php esc_html_e( 'Google_News Source', Auto_Google_News::DOMAIN ); ?></span>
        <span class="google_news-description"><?php esc_html_e( 'You can select get data from specify google_news user or some keywords.', Auto_Google_News::DOMAIN ); ?></span>
    </div>

    <div class="google_news-box-settings-col-2">
                <div class="google_news-form-field">
                    <label for="google_news_search" id="google_news-feed-link" class="google_news-label"><?php esc_html_e( 'search keyword', Auto_Google_News::DOMAIN ); ?></label>
                    <input
                        type="text"
                        name="google_news_search"
                        placeholder="<?php esc_html_e( 'Enter your search keyword here', Auto_Google_News::DOMAIN ); ?>"
                        value=""
                        id="google_news-search"
                        class="google_news-form-control"
                        aria-labelledby="google_news_search"
                    />
                </div>

                <div class="google_news-search-results-wrapper">
                    <ul class="search-result-list">
                        <script type="text/template" id="tmpl-google_news-search-results">
                            <# if ( data.length ) { #>
                                <# for ( key in data ) { #>
                                    <li>
                                        <a href="#">
                                            <span class="google_news-keyword-selected" data-keyword="{{{ data[ key ] }}}" >{{{ data[ key ] }}}</span>
                                        </a>
                                    </li>
                                    <# } #>
                                        <# } else { #>
                                            <p class="no-source">
                                                <?php esc_html_e( 'No source.', 'auto-google-news' ); ?>
                                            </p>
                                            <# } #>
                        </script>
                    </ul>
                </div>

                <div class="google_news-form-field">
                    <label for="google_news_selected_keywords" id="google_news-feed-link" class="google_news-label"><?php esc_html_e( 'Selected Keywords', Auto_Google_News::DOMAIN ); ?></label>
                    <textarea class="google_news-form-control" id="google_news-selected-keywords" rows="5" cols="20" name="google_news_selected_keywords" required="required"><?php if(isset($settings['google_news_selected_keywords'])){echo $settings['google_news_selected_keywords'];}?></textarea>
                </div>
    </div>

</div>
