<?php
$status = isset( $settings['status'] ) ? sanitize_text_field( $settings['status'] ) : 'draft';
?>
<div id="auto-google-news-builder-status" class="google_news-box google_news-box-sticky">
    <div class="google_news-box-status">
        <div class="google_news-status">
            <div class="google_news-status-module">
                <?php esc_html_e( 'Status', Auto_Google_News::DOMAIN ); ?>
                    <?php
                    if( $status === 'draft'){
                        ?>
                    <span class="google_news-tag google_news-tag-draft">
                        <?php esc_html_e( 'draft', Auto_Google_News::DOMAIN ); ?>
                    </span>
                    <?php
                    }else if($status === 'publish'){
                        ?>
                    <span class="google_news-tag google_news-tag-published">
                       <?php esc_html_e( 'published', Auto_Google_News::DOMAIN ); ?>
                    </span>
                    <?php
                    }
                    ?>
            </div>
            <div class="google_news-status-changes">

            </div>
        </div>
        <div class="google_news-actions">
            <button id="google_news-campaign-save" class="google_news-button" type="button">
                <span class="google_news-loading-text">
                    <ion-icon name="reload-circle"></ion-icon>
                    <span class="button-text campaign-save-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'unpublish', Auto_Google_News::DOMAIN );
                        }else{
                            echo esc_html( 'save draft', Auto_Google_News::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
            <button id="google_news-campaign-publish" class="google_news-button google_news-button-blue" type="button">
                <span class="google_news-loading-text">
                    <ion-icon name="save"></ion-icon>
                    <span class="button-text campaign-publish-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'update', Auto_Google_News::DOMAIN );
                        }else{
                            echo esc_html( 'publish', Auto_Google_News::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
        </div>
    </div>
</div>
