<div class="google_news-box" role="document">

    <div class="google_news-box-header google_news-block-content-center">

        <div class="google_news-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_GOOGLE_NEWS_URL.'/assets/images/soundcloud.png'); ?>" alt="<?php esc_attr_e( 'Twitter API', Auto_Google_News::DOMAIN ); ?>">

        </div>

        <div class="google_news-box-content integration-header">

            <h3 class="google_news-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Twitter API', Auto_Google_News::DOMAIN ); ?></h3>

			<span class="google_news-description">
                <?php esc_html_e( 'Setup Twitter API to be used by Auto Google News to display tweets on your blog.', Auto_Google_News::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="google_news-box-body">
        <form>

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Client ID', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-person" name="person"></ion-icon>
                    <input name="client_id" placeholder="<?php esc_html_e( 'Client ID', Auto_Google_News::DOMAIN ); ?>" value="" class="google_news-form-control">
                </div>
            </div>

            <div class="google_news-form-field">
                <label class="google_news-label"><?php esc_html_e( 'Client Secret', Auto_Google_News::DOMAIN ); ?></label>
                <div class="google_news-control-with-icon">
                    <ion-icon class="google_news-icon-key" name="key"></ion-icon>
                    <input name="client_secret" placeholder="<?php esc_html_e( 'Client Secret', Auto_Google_News::DOMAIN ); ?>" value="" class="google_news-form-control">
                </div>
            </div>

            <div class="google_news-border-frame google_news-description">

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Google_News::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="google_news-box-footer google_news-box-footer-center">
        <button type="button" class="google_news-button google_news-addon-connect">
            <span class="google_news-loading-text"><?php esc_html_e( 'Connect', Auto_Google_News::DOMAIN ); ?></span>
        </button>
    </div>

</div>